%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define	python_module_name	%{name}

Name:		labyrinth
Version:	0.3
Release:	2%{?dist}
Summary:	A simple yet powerful mind-mapping tool for the GNOME desktop

Group:		Applications/Productivity
License:	GPL
URL:		http://www.gnome.org/~dscorgie/labyrinth.html

Source0:	http://www.gnome.org/~dscorgie/files/%{name}-%{version}.tar.bz2
Patch0:		%{name}-fix-interpreters.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	pygtk2-devel >= 2.8
BuildRequires:	gnome-python2-devel >= 2.12
BuildRequires:	gnome-desktop-devel >= 2.14
BuildRequires:	desktop-file-utils

Requires:	pygtk2-libglade >= 2.8
Requires:	PyXML

## Taken from the website's "About" page, as well as Wikipedia's explanation
## of a mind-map.
%description
Labyrinth is a lightweight mind-mapping tool, written in Python using Gtk and
Cairo to do the drawing. It is intended to be as light and intuitive as
possible, but still provide a wide range of powerful features.

A mind-map is a diagram used to represent words, ideas, tasks or other items
linked to and arranged radially around a central key word or idea. It is used
to generate, visualize, structure and classify ideas, and as an aid in study,
organization, problem solving, and decision making.


%prep
%setup -q
%patch0 -p1
%configure


%build
make %{?_smp_flags} 


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 
%find_lang %{name} 
desktop-file-install --vendor fedora	\
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original	\
	--remove-category=Application	\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/TextThought.py
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/Links.py
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/MMapArea.py
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/MainWindow.py


%post
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%postun
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitelib}/%{python_module_name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Fri Dec 08 2006 Peter Gordon <peter@thecodergeek.com> - 0.3-2
- Rebuild for Python 2.5 upgrade

* Wed Nov 15 2006 Peter Gordon <peter@thecodergeek.com> - 0.3-1
- Initial packaging.
- Add patch to fix interpreters on MainWindow.py and Links.py scripts:
  + fix-interpreters.patch
